# Generated from quantile-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name quantile

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Streaming Quantile Estimation
Group: Development/Languages
License: Apache 2.0
URL: http://github.com/matttproud/ruby_quantile_estimation
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# the following BuildRequires are development dependencies
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Graham Cormode and S. Muthukrishnan's Effective Computation of Biased
Quantiles over Data Streams in ICDE’05.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/




# Run the test suite
%check
pushd .%{gem_instdir}

popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon May 07 2018 Richard Megginson <rmeggins@redhat.com> - 0.2.1-1
- Initial package
